Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 287906 - media-libs/liblastfm-0.3 fails to build with dev-lang/ruby:1.9
Summary: media-libs/liblastfm-0.3 fails to build with dev-lang/ruby:1.9
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL: http://wiki.github.com/mxcl/liblastfm
Whiteboard:
Keywords:
Depends on:
Blocks: ruby19
  Show dependency tree
 
Reported: 2009-10-06 14:29 UTC by Ken Rushia
Modified: 2010-05-26 09:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Rushia 2009-10-06 14:29:36 UTC
media-libs/liblastfm-0.3 fails to build with dev-lang/ruby:1.9 because the "ftools" component is not available. Ebuild should require ruby 1.8, or patch with fix:

sed -i "s/require 'ftools'//g" admin/*

This has been corrected upstream for future liblastfm-0.4.0

Reproducible: Always

Steps to Reproduce:
1. unmask dev-lang/ruby:1.9
2. emerge liblastfm
3. (liblastfm will pull ruby update and then fail to build)

Actual Results:  
admin/Makefile.rb:9:in `require': no such file to load -- ftools (LoadError)
Comment 1 Samuli Suominen (RETIRED) gentoo-dev 2009-11-09 11:24:40 UTC
+  09 Nov 2009; Samuli Suominen <ssuominen@gentoo.org>
+  liblastfm-0.3.0.ebuild:
+  Restrict Ruby depend to =dev-lang/ruby-1.8* wrt #287906, thanks to Ken
+  Rushia for reporting.

Leaving open until we have new version in tree.
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2010-04-03 17:52:03 UTC
I committed a "rubyfied" ebuild to the kde overlay, see also bug 292038. 
This is still restricted to 1.8 though.
Comment 3 Maciej Mrozowski gentoo-dev 2010-04-05 06:53:33 UTC
Unfortunately liblastfm can't be moved to ruby eclass since it's not ruby package. It only uses configure script written in ruby and that's it - no ruby bindings and such. Therefore I reverted those changes.
Comment 4 Maciej Mrozowski gentoo-dev 2010-04-05 11:38:59 UTC
Fixed, thanks for reporting and for hint how to fix.

Index: liblastfm-0.3.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/liblastfm/liblastfm-0.3.0.ebuild,v
retrieving revision 1.9
diff -u -B -r1.9 liblastfm-0.3.0.ebuild
--- liblastfm-0.3.0.ebuild      5 Apr 2010 07:03:54 -0000       1.9
+++ liblastfm-0.3.0.ebuild      5 Apr 2010 11:28:15 -0000
@@ -21,9 +21,8 @@
        >=x11-libs/qt-core-4.5:4
        >=x11-libs/qt-sql-4.5:4
 "
-# Unrestrict Ruby depend for next release!
 DEPEND="${COMMON_DEPEND}
-       =dev-lang/ruby-1.8*
+       dev-lang/ruby
        >=x11-libs/qt-test-4.5:4
 "
 RDEPEND="${COMMON_DEPEND}
@@ -34,6 +33,12 @@
        # Fix multilib paths
        find . -name *.pro -exec sed -i -e "/target.path/s/lib/$(get_libdir)/g" {} + \
                || die "failed to fix multilib paths"
+
+       # >=1.9 ruby compatibility
+       case `ruby -e 'puts RUBY_VERSION'` in
+               1.8.*) ;;
+               *) sed -e "s/require 'ftools'//g" -i admin/* || die ;;
+       esac
 }